<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bPersonal,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>

<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoPersonal")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
    	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<SCRIPT language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Pulsado.js"></script>
    		
</head>
			
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%


String sOrden1=request.getParameter("Orden1");
	String sNombre1=request.getParameter("Nombre1");
	String sCodigo1 = request.getParameter("Codigo1")==null?"":request.getParameter("Codigo1");

	String sql = "";
	String codigo, mensaje, accion;
	String resultadoCombo="";
	String persona = (String) session.getAttribute("persona");

	String sOrden=request.getParameter("Orden");
	m05bFileLog miLog = new m05bFileLog();
	m05bCombo miCombo = new m05bCombo();  	// Departamento
	m05bCombo miCombo2 = new m05bCombo();	// Rango
	m05bCombo miCombo3 = new m05bCombo();	// Cargo
	m05bCombo miCombo4 = new m05bCombo(); //Modelo
	
	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	accion = request.getParameter("Accion")==null?"":request.getParameter("Accion");
	miLog.addTraza(persona, "Personal JSP", "CODIGO: " + codigo, m05bConstantes.LOG_NIVEL_BAJO);

	m05bPersonal personal = null;
	if ( 	((codigo==null) || (codigo.equals(""))) && 	(!(mensaje.equals("Existe")))) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bPersonal");
	}else if (!(codigo.equals("")) && (accion.equals(m05bConstantes.ACC_INSERTAR)) && (mensaje.equals("REFRESH"))){
		accion=m05bConstantes.ACC_INSERTAR;
		personal = (m05bPersonal)session.getAttribute("m05bPersonal");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		personal = (m05bPersonal)session.getAttribute("m05bPersonal");
	}
	
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 30));</script>");
	}
	outMsg.close();
	if (personal == null){
		personal = new m05bPersonal();
		session.setAttribute("m05bPersonal",personal);
	}

	String cargo="",rango="",dpto="",actualizable="N",tipoper="N",nombre="",Telefono="",provincia="",municipio="",direccion="",codpostal="";
	miLog.addTraza(persona, "Personal JSP", "Provincia: " + (mensaje.equals("REFRESH")), m05bConstantes.LOG_NIVEL_BAJO);
	if (mensaje.equals("REFRESH")){
	provincia = request.getParameter("Provincia")==null?"":request.getParameter("Provincia");
	miLog.addTraza(persona, "Personal JSP", "Provincia: " + provincia, m05bConstantes.LOG_NIVEL_BAJO);
	municipio = request.getParameter("Municipio")==null?"":request.getParameter("Municipio");
	miLog.addTraza(persona, "Personal JSP", "Municipio: " + municipio, m05bConstantes.LOG_NIVEL_BAJO);
	cargo = request.getParameter("Cargo")==null?"":request.getParameter("Cargo").toUpperCase();
	rango = request.getParameter("Rango")==null?"":request.getParameter("Rango").toUpperCase();
	dpto = request.getParameter("Departamento")==null?"":request.getParameter("Departamento").toUpperCase();
	codpostal = request.getParameter("CodPostal")==null?"":request.getParameter("CodPostal").toUpperCase();	
	direccion=request.getParameter("Direccion");
	if ((direccion==null) || direccion.equals("NULL"))
	    direccion="";
	actualizable="N";
	tipoper="N";
	actualizable=request.getParameter("Actualizable")==null?"":request.getParameter("Actualizable");
	if (actualizable == null)
			actualizable = "N";
	tipoper=request.getParameter("TipoPer")==null?"":request.getParameter("TipoPer");
		if (tipoper == null)
			tipoper = "N";
	nombre= request.getParameter("Nombre")==null?"":request.getParameter("Nombre").toUpperCase();;
	Telefono= request.getParameter("Telefono")==null?"":request.getParameter("Telefono");
	if (Telefono==null || Telefono.equals("NULL")){
	        Telefono="";
	}
	
	
	}else{
	cargo = personal.getPer_cod_car()==null?"":personal.getPer_cod_car();
	rango = personal.getPer_codrango()==null?"":personal.getPer_codrango();
	dpto = personal.getPer_coddpto()==null?"":personal.getPer_coddpto();
	direccion=personal.getPer_direc();
	if ((direccion==null) || direccion.equals("NULL"))
	    direccion="";
	actualizable="N";
	tipoper="N";
	actualizable=personal.getPer_actualizable();
	tipoper=personal.getPer_tipoper();
	nombre=personal.getPer_nombre()==null?"":personal.getPer_nombre();
	Telefono = personal.getPer_telef();	
	if (Telefono==null || Telefono.equals("NULL")){
	        Telefono="";
	}
	provincia=personal.getPer_codprovincia()==null?"":personal.getPer_codprovincia();
	municipio=personal.getPer_codmunicipio()==null?"":personal.getPer_codmunicipio();
	codpostal=personal.getPer_codpostal()==null?"":personal.getPer_codpostal();	

	}
	
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_PERSONAL%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelPersonal")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_PERSONAL%>?Orden=<%=sOrden%>'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoPersonal")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formPersonal" METHOD="POST">

					  <TABLE width="100%">
					    <tr>
					      <td width="80%" align="right"> 
					      	<input type="button" class="botonL" name="<%= res.getString("etBOT_RESTRICCIONES")%>" value="<%= res.getString("etBOT_RESTRICCIONES")%>" ONCLICK="JavaScript:fncRestringir();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRESTRICCIONES")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>','');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>','<%=personal.getPer_coddpto()%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar('<%=sCodigo1%>', '<%=sNombre1%>','<%=sOrden1%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>					      
						</tr>
					  </TABLE>
						<p>
					  <TABLE class="general">
					    <tr> 
					      <td width="10%" class="inputFieldTitle"><%= res.getString("etDNI")%></td>
					      <td class="inputFieldTitle" ><%= res.getString("etNombre")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etRango")%></td>
					    </tr>
					    <tr> 
					    <%if ( (!(codigo.equals("")))&&(mensaje.equals("REFRESH"))&&(accion.equals(m05bConstantes.ACC_INSERTAR))){ %>
						      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" ONBLUR="JavaScript:formatearDni(this);return false;" size="10" maxlength="10"/> </td>
					    <%}else if ( (codigo.equals("")) || (mensaje.equals("Existe"))) {  %>
						      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" ONBLUR="JavaScript:formatearDni(this);return false;" size="10" maxlength="10"/> </td>
						<%}else{ %>
						      <td style="text-align:left"> <INPUT class="inputFieldOblig" TYPE="TEXT" disabled NAME="Codigo" VALUE="<%=codigo%>" size="10" maxlength="10"/> </td>
					      <%  }  %>
						  <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Nombre" VALUE="<%=nombre%>" size="36" maxlength="100"/> </td>
					      <td align="left">
					        <select name="Rango" class="inputFieldOblig" onKeypress="buscar_op(this,Direccion)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit"></option>
					                    <%=miCombo2.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", 
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, rango)%>
					          </select>
					      </td>
  					    </tr>
  					   </TABLE>
  			          <TABLE class="general">
					    <tr>
					      <td class="inputFieldTitle" ><%= res.getString("etCargo")%></td>
					  	  <td class="inputFieldTitle" ><%= res.getString("etDepartamento")%></td>
					    </tr>
					    <tr>
					      <td align="left" > 
					                 <select name="Cargo" class="inputField" onKeypress="buscar_op(this,Telefono)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type="submit"></option>
					                    <%=miCombo3.popCombo( m05bConstantes.COL_04_CODCARGO, "NVL("+ campoTexto+m05bConstantes.COL_04_DESCCARG+","+m05bConstantes.COL_04_DESCCARG+")" , 
					        	     	 m05bConstantes.TAB_CARGOS, m05bConstantes.COL_04_CODCARGO, m05bConstantes.COL_04_CODCARGO, cargo)%>
					                 </select>
					      </td>		
						  <td align="left"  >
						           <select name="Departamento" class="inputField" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
						                    <option type="submit" size="25"></option>
						                    <%if (dpto==null || dpto=="") {%>
					        					<%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "SIT_06", "'A'", "")%>
								        	<%} else {%>
								        		<%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,"NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")", m05bConstantes.TAB_DEPARTAMENTOS, "COD_DPTO_06="+dpto+" OR SIT_06", "'A'", dpto)%>
					    			    	<%}%>
						                    <%-- <%=miCombo.popCombo(m05bConstantes.COL_06_CODDPTO,m05bConstantes.COL_06_DESCDPTO, m05bConstantes.TAB_DEPARTAMENTOS, m05bConstantes.COL_06_CODDPTO,m05bConstantes.COL_06_CODDPTO, dpto)%>
						                    --%>
						           </select>
						  </td> 					      			    
					    </tr>
					    </TABLE>
					   <TABLE class="general">
					    <tr> 
					      <td  class="inputFieldTitle"><%= res.getString("etDireccion")%></td>
					    </tr>	
					     <tr>
					          <td align="left"  > <INPUT class="inputField" TYPE="TEXT" NAME="Direccion" VALUE="<%=direccion%>" size="100" maxlength="100"/> </td>					       					    				    
					     </tr>
					   </TABLE>
					  <TABLE class="general">					     
					    <tr>
					      <td class="inputFieldTitle" ><%= res.getString("etProvincia")%></td>
					  	  <td class="inputFieldTitle" ><%= res.getString("etMunicipio")%></td>
					  	  <td class="inputFieldTitle" ><%= res.getString("etCodigoPostal")%></td>					  	  
					    </tr>	
				        <tr>	
            	           <td  align="left" >
                     		<select class=inputField  NAME="Provincia" onchange="JavaScript:blur();" onKeypress="if ((event.keyCode == 13)||(event.keyCode == 21)){blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();" onblur="fncRefrescarProvincia(Codigo.value,Provincia.options[Provincia.selectedIndex].value,'<%=accion%>'); return false;" >
    			              <option value=""> </option>							       
    			                 <%=miCombo4.popCombo( "CODPROVINC", "NOMPROVINC", "FCA.FCA01T00", "CODPROVINC","", provincia )%>
    			            </select>
    		               </td>					
       			           <td align="left" >
   				              <select class=inputField  NAME="Municipio"  onchange="JavaScript:blur();" onKeypress="buscar_op(this,this)" onblur="borrar_buffer();  fncRefrescarMunicipio(Codigo.value,Provincia.options[Provincia.selectedIndex].value,Municipio.options[Municipio.selectedIndex].value,'<%=accion%>');" onclick="borrar_buffer()">
   				                  <option value=""> </option>
   				                     <%if  (!(provincia.equals(""))){%>
				                        <%=miCombo4.popCombo( "CODMUNICIP", "NOMMUNICIP", "FCA.FCA02T00", "CODPROVINC", provincia,municipio  )%>

				                     <%}%>
				              </select>

                            </td>			
       			           <td align="left" >
	                     <%if  ((!(provincia.equals("")))&& (!(municipio.equals("")))){%>
       			           	<%resultadoCombo = miCombo4.popComboDistinctCodPostal( "CODPOSTNUM", "CODPOSTNUM", "FCA.FCA11T00", "CODPROVINC||'@'||CODMUNICIP='"+provincia+"'||'@'||'"+municipio+"'", "",codpostal  );
				              if (!(resultadoCombo.equals(""))){%>
   				              <select class=inputField  NAME="CodPostal"  onKeypress="buscar_op(this,this)" onblur="borrar_buffer(); " onclick="borrar_buffer()">
   				                  <option value=""> </option>
   				                  <%= resultadoCombo%>
				              </select>
                             <%}else{%>
                              <INPUT class="inputField" TYPE="TEXT" NAME="CodPostal" VALUE="<%= codpostal%>" size="15" maxlength="5"/> </td>   
                         <%}}else{%>
                              <INPUT class="inputField" TYPE="TEXT" NAME="CodPostal" VALUE="<%= codpostal%>" size="15" maxlength="5"/> </td>   
                          <%}%>                                                       
                            </td>				                            		    			    
                       </tr>
                      </TABLE>
                     <TABLE class="general">					  
					       <tr>
					       	  <td class="inputFieldTitle"><%= res.getString("etTelefono")%></td>
					          <td class="inputFieldTitle"><%= res.getString("etNoActualizable")%></td>
						  	  <td class="inputFieldTitle"><%= res.getString("etTipoPersona")%></td>
					       </tr>
					       <tr>
							  <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Telefono" VALUE="<%= Telefono%>" size="15" maxlength="12"/> </td>   
						      <td align="left"> <INPUT class="inputField" TYPE="CHECKBOX" NAME="Actualizable" VALUE="S" <%if (actualizable!=null && actualizable.toUpperCase().equals("S")){%> checked <%}%> size="12" maxlength="12"/> </td> 
						      <td align="left"> <INPUT class="inputField" TYPE="CHECKBOX" NAME="TipoPer" VALUE="S" <%if (tipoper!=null && tipoper.toUpperCase().equals("S")){%> checked <%}%> size="12" maxlength="12"/> </td> 					       
  					   </tr>
   					   
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>

<SCRIPT language='javascript'>
        function fncRefrescarProvincia(codigo,codigo1,accion){
            var docu = document.formPersonal;
            document.formPersonal.Municipio.value="";
            document.formPersonal.CodPostal.value="";            
			docu.action="m05bPersonalJsp.jsp?Codigo=" + codigo +"&Codigo1="+codigo1+"&Municipio="+"&Mensaje=REFRESH" +"&Accion=" + accion;;
		    docu.submit();
        }
        function fncRefrescarMunicipio(codigo,codigo1,municipio,accion){
            var docu = document.formPersonal;
            document.formPersonal.CodPostal.value="";
			docu.action="m05bPersonalJsp.jsp?Codigo=" + codigo +"&Codigo1="+codigo1+"&Municipio="+municipio+"&Mensaje=REFRESH" +"&Accion=" + accion;;
		    docu.submit();
        }        
		function fncGrabar(codigo,accion, dptoant) {
			var docu = document.formPersonal;
		    if(docu.Codigo.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Codigo.focus();
				return;
			}
			if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Codigo.focus();
				return;
			}
			if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Nombre.focus();
				return;
			}	
		    if (formPersonal.Rango.value == "")  {
		     	alert(dameAlerta(idioma, 0));
		   		docu.Rango.focus();
		   		return;
		    } 
		    if(existeCaracter(docu.Direccion.value,"\'")||existeCaracter(docu.Direccion.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Direccion.focus();
				return;
			}	
			if(existeCaracter(docu.Telefono.value,"\'")||existeCaracter(docu.Telefono.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Telefono.focus();
				return;
			}
				
			if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
				if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
					return;
			}
			//Antes de enviar transformamos a mayúsculas el dni
			docu.Codigo.value = docu.Codigo.value.toUpperCase();
			docu.action="m05bGrabarPersonalServlet?Codigo=" + codigo.toUpperCase() + "&CodDptoAnt=" + dptoant +"&Accion=" + accion;
		    docu.submit();
		}  // Fin funcion fncGrabar
		
		function fncRestringir() {
			var docu = document.formPersonal;
		     	if (docu.Codigo.value == "")  {
		     		alert(dameAlerta(idioma, 31));
		     	} else  {	
			        docu.action="m05bRestriccionesJsp.jsp?Codigo="+docu.Codigo.value+"&Origen=P";
			        docu.submit();
		        }
		} // Fin funcion fncRestringir

		function fncRetornar(codigo,nombre,orden){
                 var docu = document.formPersonal;		
			        docu.action="m05bRelPersonalJsp.jsp?Codigo="+codigo+ "&Nombre="+nombre+"&Orden="+orden;
			        docu.submit();
		} // Fin funcion fncRetornar								  

 
		
    setTimeout('initSlide();', 1);
 

</SCRIPT>
</BODY>
</HTML>